<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>BrushCommands (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BrushCommands (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/command/BiomeCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/command/ChunkCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/command/BrushCommands.html" target="_top">Frames</a></li>
<li><a href="BrushCommands.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.command</div>
<h2 title="Class BrushCommands" class="title">Class BrushCommands</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.command.BrushCommands</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">BrushCommands</span>
extends java.lang.Object</pre>
<div class="block">Commands to set brush shape.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#BrushCommands-com.sk89q.worldedit.WorldEdit-">BrushCommands</a></span>(<a href="../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#butcherBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-double-boolean-boolean-boolean-boolean-boolean-boolean-boolean-boolean-">butcherBrush</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
            <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
            double&nbsp;radius,
            boolean&nbsp;killPets,
            boolean&nbsp;killNpcs,
            boolean&nbsp;killGolems,
            boolean&nbsp;killAnimals,
            boolean&nbsp;killAmbient,
            boolean&nbsp;killWithName,
            boolean&nbsp;killFriendly,
            boolean&nbsp;killArmorStands)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#clipboardBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-boolean-boolean-boolean-boolean-com.sk89q.worldedit.function.mask.Mask-">clipboardBrush</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
              <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
              boolean&nbsp;ignoreAir,
              boolean&nbsp;usingOrigin,
              boolean&nbsp;pasteEntities,
              boolean&nbsp;pasteBiomes,
              <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;sourceMask)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#cylinderBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.function.pattern.Pattern-double-int-boolean-">cylinderBrush</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
             <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
             <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;pattern,
             double&nbsp;radius,
             int&nbsp;height,
             boolean&nbsp;hollow)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#deform-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.regions.factory.RegionFactory-double-java.lang.String-boolean-boolean-">deform</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
      <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;localSession,
      <a href="../../../../com/sk89q/worldedit/regions/factory/RegionFactory.html" title="interface in com.sk89q.worldedit.regions.factory">RegionFactory</a>&nbsp;shape,
      double&nbsp;radius,
      java.lang.String&nbsp;expression,
      boolean&nbsp;useRawCoords,
      boolean&nbsp;usePlacement)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#extinguishBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-double-">extinguishBrush</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
               <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
               double&nbsp;radius)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#forest-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.regions.factory.RegionFactory-double-double-com.sk89q.worldedit.util.TreeGenerator.TreeType-">forest</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
      <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;localSession,
      <a href="../../../../com/sk89q/worldedit/regions/factory/RegionFactory.html" title="interface in com.sk89q.worldedit.regions.factory">RegionFactory</a>&nbsp;shape,
      double&nbsp;radius,
      double&nbsp;density,
      <a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&nbsp;type)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#gravityBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-double-boolean-">gravityBrush</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
            <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
            double&nbsp;radius,
            boolean&nbsp;fromMaxY)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#lower-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.regions.factory.RegionFactory-double-">lower</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
     <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;localSession,
     <a href="../../../../com/sk89q/worldedit/regions/factory/RegionFactory.html" title="interface in com.sk89q.worldedit.regions.factory">RegionFactory</a>&nbsp;shape,
     double&nbsp;radius)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#raise-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.regions.factory.RegionFactory-double-">raise</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
     <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;localSession,
     <a href="../../../../com/sk89q/worldedit/regions/factory/RegionFactory.html" title="interface in com.sk89q.worldedit.regions.factory">RegionFactory</a>&nbsp;shape,
     double&nbsp;radius)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#set-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.regions.factory.RegionFactory-double-com.sk89q.worldedit.function.pattern.Pattern-">set</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
   <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;localSession,
   <a href="../../../../com/sk89q/worldedit/regions/factory/RegionFactory.html" title="interface in com.sk89q.worldedit.regions.factory">RegionFactory</a>&nbsp;shape,
   double&nbsp;radius,
   <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;pattern)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#smoothBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-double-int-com.sk89q.worldedit.function.mask.Mask-">smoothBrush</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
           <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
           double&nbsp;radius,
           int&nbsp;iterations,
           <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/command/BrushCommands.html#sphereBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.function.pattern.Pattern-double-boolean-">sphereBrush</a></span>(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
           <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
           <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;pattern,
           double&nbsp;radius,
           boolean&nbsp;hollow)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BrushCommands-com.sk89q.worldedit.WorldEdit-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BrushCommands</h4>
<pre>public&nbsp;BrushCommands(<a href="../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>worldEdit</code> - reference to WorldEdit</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="sphereBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.function.pattern.Pattern-double-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sphereBrush</h4>
<pre>public&nbsp;void&nbsp;sphereBrush(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                        <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                        @Arg(desc="The pattern of blocks to set")
                        <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;pattern,
                        @Arg(desc="The radius of the sphere",def="2")
                        double&nbsp;radius,
                        @Switch(name=104,desc="Create hollow spheres instead")
                        boolean&nbsp;hollow)
                 throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="cylinderBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.function.pattern.Pattern-double-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cylinderBrush</h4>
<pre>public&nbsp;void&nbsp;cylinderBrush(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                          <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                          @Arg(desc="The pattern of blocks to set")
                          <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;pattern,
                          @Arg(desc="The radius of the cylinder",def="2")
                          double&nbsp;radius,
                          @Arg(desc="The height of the cylinder",def="1")
                          int&nbsp;height,
                          @Switch(name=104,desc="Create hollow cylinders instead")
                          boolean&nbsp;hollow)
                   throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="clipboardBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-boolean-boolean-boolean-boolean-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clipboardBrush</h4>
<pre>public&nbsp;void&nbsp;clipboardBrush(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                           <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                           @Switch(name=97,desc="Don\'t paste air from the clipboard")
                           boolean&nbsp;ignoreAir,
                           @Switch(name=111,desc="Paste using clipboard origin, instead of being centered at the target location")
                           boolean&nbsp;usingOrigin,
                           @Switch(name=101,desc="Paste entities if available")
                           boolean&nbsp;pasteEntities,
                           @Switch(name=98,desc="Paste biomes if available")
                           boolean&nbsp;pasteBiomes,
                           @ArgFlag(name=109,desc="Skip blocks matching this mask in the clipboard",def="")
                           <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;sourceMask)
                    throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="smoothBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-double-int-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>smoothBrush</h4>
<pre>public&nbsp;void&nbsp;smoothBrush(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                        <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                        @Arg(desc="The radius to sample for softening",def="2")
                        double&nbsp;radius,
                        @Arg(desc="The number of iterations to perform",def="4")
                        int&nbsp;iterations,
                        @Arg(desc="The mask of blocks to use for the heightmap",def="")
                        <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;mask)
                 throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="extinguishBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>extinguishBrush</h4>
<pre>public&nbsp;void&nbsp;extinguishBrush(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                            <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                            @Arg(desc="The radius to extinguish",def="5")
                            double&nbsp;radius)
                     throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="gravityBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-double-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gravityBrush</h4>
<pre>public&nbsp;void&nbsp;gravityBrush(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                         <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                         @Arg(desc="The radius to apply gravity in",def="5")
                         double&nbsp;radius,
                         @Switch(name=104,desc="Affect blocks starting at max Y, rather than the target location Y + radius")
                         boolean&nbsp;fromMaxY)
                  throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="butcherBrush-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-double-boolean-boolean-boolean-boolean-boolean-boolean-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>butcherBrush</h4>
<pre>public&nbsp;void&nbsp;butcherBrush(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                         <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session,
                         @Arg(desc="Radius to kill mobs in",def="5")
                         double&nbsp;radius,
                         @Switch(name=112,desc="Also kill pets")
                         boolean&nbsp;killPets,
                         @Switch(name=110,desc="Also kill NPCs")
                         boolean&nbsp;killNpcs,
                         @Switch(name=103,desc="Also kill golems")
                         boolean&nbsp;killGolems,
                         @Switch(name=97,desc="Also kill animals")
                         boolean&nbsp;killAnimals,
                         @Switch(name=98,desc="Also kill ambient mobs")
                         boolean&nbsp;killAmbient,
                         @Switch(name=116,desc="Also kill mobs with name tags")
                         boolean&nbsp;killWithName,
                         @Switch(name=102,desc="Also kill all friendly mobs (Applies the flags `-abgnpt`)")
                         boolean&nbsp;killFriendly,
                         @Switch(name=114,desc="Also destroy armor stands")
                         boolean&nbsp;killArmorStands)
                  throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="deform-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.regions.factory.RegionFactory-double-java.lang.String-boolean-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deform</h4>
<pre>public&nbsp;void&nbsp;deform(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                   <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;localSession,
                   @Arg(desc="The shape of the region")
                   <a href="../../../../com/sk89q/worldedit/regions/factory/RegionFactory.html" title="interface in com.sk89q.worldedit.regions.factory">RegionFactory</a>&nbsp;shape,
                   @Arg(desc="The size of the brush",def="5")
                   double&nbsp;radius,
                   @Arg(desc="Expression to apply",def="y-=0.2")
                   java.lang.String&nbsp;expression,
                   @Switch(name=114,desc="Use the game\'s coordinate origin")
                   boolean&nbsp;useRawCoords,
                   @Switch(name=111,desc="Use the placement position as the origin")
                   boolean&nbsp;usePlacement)
            throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="set-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.regions.factory.RegionFactory-double-com.sk89q.worldedit.function.pattern.Pattern-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>set</h4>
<pre>public&nbsp;void&nbsp;set(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;localSession,
                @Arg(desc="The shape of the region")
                <a href="../../../../com/sk89q/worldedit/regions/factory/RegionFactory.html" title="interface in com.sk89q.worldedit.regions.factory">RegionFactory</a>&nbsp;shape,
                @Arg(desc="The size of the brush",def="5")
                double&nbsp;radius,
                @Arg(desc="The pattern of blocks to set")
                <a href="../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;pattern)
         throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="forest-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.regions.factory.RegionFactory-double-double-com.sk89q.worldedit.util.TreeGenerator.TreeType-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>forest</h4>
<pre>public&nbsp;void&nbsp;forest(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                   <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;localSession,
                   @Arg(desc="The shape of the region")
                   <a href="../../../../com/sk89q/worldedit/regions/factory/RegionFactory.html" title="interface in com.sk89q.worldedit.regions.factory">RegionFactory</a>&nbsp;shape,
                   @Arg(desc="The size of the brush",def="5")
                   double&nbsp;radius,
                   @Arg(desc="The density of the brush",def="20")
                   double&nbsp;density,
                   @Arg(desc="The type of tree to use")
                   <a href="../../../../com/sk89q/worldedit/util/TreeGenerator.TreeType.html" title="enum in com.sk89q.worldedit.util">TreeGenerator.TreeType</a>&nbsp;type)
            throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="raise-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.regions.factory.RegionFactory-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>raise</h4>
<pre>public&nbsp;void&nbsp;raise(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                  <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;localSession,
                  @Arg(desc="The shape of the region")
                  <a href="../../../../com/sk89q/worldedit/regions/factory/RegionFactory.html" title="interface in com.sk89q.worldedit.regions.factory">RegionFactory</a>&nbsp;shape,
                  @Arg(desc="The size of the brush",def="5")
                  double&nbsp;radius)
           throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="lower-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-com.sk89q.worldedit.regions.factory.RegionFactory-double-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>lower</h4>
<pre>public&nbsp;void&nbsp;lower(<a href="../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                  <a href="../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;localSession,
                  @Arg(desc="The shape of the region")
                  <a href="../../../../com/sk89q/worldedit/regions/factory/RegionFactory.html" title="interface in com.sk89q.worldedit.regions.factory">RegionFactory</a>&nbsp;shape,
                  @Arg(desc="The size of the brush",def="5")
                  double&nbsp;radius)
           throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/command/BiomeCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../com/sk89q/worldedit/command/ChunkCommands.html" title="class in com.sk89q.worldedit.command"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/command/BrushCommands.html" target="_top">Frames</a></li>
<li><a href="BrushCommands.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
